<?php

namespace Lc\ShopBundle\Services ;

use Lc\ShopBundle\Context\DeliveryUtilsInterface;
use Lc\ShopBundle\Context\OrderUtilsInterface;
use Lc\ShopBundle\Context\PriceUtilsInterface;

class UtilsManager
{
        protected $utils ;
        protected $orderUtils ;
        protected $priceUtils ;
        protected $deliveryUtils ;

        public function __construct(
                Utils $utils,
                OrderUtilsInterface $orderUtils,
                PriceUtilsInterface $priceUtils,
                DeliveryUtilsInterface $deliveryUtils)
        {
                $this->utils = $utils ;
                $this->orderUtils = $orderUtils ;
                $this->priceUtils = $priceUtils ;
                $this->deliveryUtils = $deliveryUtils ;
        }

        public function getUtils(): Utils
        {
                return $this->utils ;
        }

        public function getPriceUtils(): PriceUtilsInterface
        {
                return $this->priceUtils ;
        }

        public function getDeliveryUtils(): DeliveryUtilsInterface
        {
                return $this->deliveryUtils ;
        }

        public function getOrderUtils(): OrderUtilsInterface
        {
                return $this->orderUtils ;
        }

}
